PircBot Java IRC Bot

## org.jibble.pircbot
Class OutputThread

    java.lang.Object
      java.lang.Thread
          org.jibble.pircbot.OutputThread

All Implemented Interfaces:
  Runnable

public class OutputThread
extends Thread

A Thread which is responsible for sending messages to the IRC server. Messages are obtained from the outgoing message queue and sent immediately if possible. If there is a flood of messages, then to avoid getting kicked from a channel, we put a small delay between each one.

Version:
  1.5.0 (Build time: Mon Dec 14 20:07:17 2009)
Author:
  Paul James Mutton, http://www.jibble.org/

Field Summary

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Method Summary
`void` `run()` This method starts the Thread consuming from the outgoing message Queue and sending lines to the server.

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### run

    public void run()

  This method starts the Thread consuming from the outgoing message Queue and sending lines to the server.

PircBot Java IRC Bot